---
title : Custom file-tree-node of Typora-sidebar
---

# `File-tree-node` 높이 변경

## File-tree-node height 속성 수정

```css
#typora-sidebar .file-tree-node .file-node-content {
    padding: 0rem;
    line-height: 1.6rem;	# 해당부분 수정
    height: 1.6rem;	# 해당 부분 수정
    background: none;
    opacity : 0.6
}

#typora-sidebar .file-tree-node .file-node-background {
    padding: 0rem;	
    height: 1.6rem;	# 해당부분 수정
}

#typora-sidebar .file-tree-node .file-tree-rename-input {
    height: 1.6rem;	# 해당부분 수정
    background: none;
    border: none;
    font-size: 0.9rem;
    font-weight: 500;
    margin: 0rem;
    padding-left: 0rem;
}
```

## Folder height 수정하기

```css
#typora-sidebar .file-tree-node .file-node-icon.fa-folder {
    margin-top: 0.12rem;	# 해당부분 수정
    margin-left : 0.2rem;
}
```

## caret 높이 수정하기

```css
#typora-sidebar .file-tree-node .fa-caret-down, #typora-sidebar .file-tree-node .fa-caret-right {
    position: relative;
    top: 2px;	# 해당부분 수정
}
```

# Typora-sidebar 선택된 노드 색상 변경

```css
#typora-sidebar .ty-search-item.active {
    /*background-color: var(--bg-color);*/
  	background-color : transparent;	/*해당부분 수정*/
    outline: 1px solid var(--borders);
    border: none;
    color: var(--primary-color) !important;
}
```