---
Font-size 변경하기
---

# Change code editor font size

```css
.md-fences,
tt {
    border-radius: 0.3rem;
    color: #ffffff;
    padding: 1.5rem;
    font-size: 0.8rem;	# 해당 부분 변경하기
}
```

# Change header font size 

## 폰트 사이즈 변경

```css
h1 {
    font-size: 1.6rem;	# 해당부분 수정
    font-weight: 500;
    line-height: 1.5;
    margin-top: 1rem;
    margin-bottom: 1rem;
    padding-bottom: 0.4rem;
    border-bottom: solid 2px var(--borders);
}

h2 {
    font-size: 1.4rem;	# 해당부분 수정
    font-weight: 700;
    line-height: 1.5;
    margin-top: 0.8rem;
    margin-bottom: 0.5rem;
}

h3 {
    font-size: 1.2rem;	# 해당부분 수정
    font-weight: 700;
    line-height: 1.5;
    margin-top: 0.6rem;
    margin-bottom: 0.5rem;
}
```

## Tooltip 위치 변경

```css
#write>h1.md-focus:before {
    content: "h1";	
    top: 0.8rem;	# 해당부분 수정
    left: -1.75rem;
}

#write>h2.md-focus:before {
    content: "h2";	
    top: 0.6rem;	# 해당부분 수정
    left: -1.75rem;
}

#write>h3.md-focus:before {
    content: "h3";
    top: 0.45rem;	# 해당부분 수정
    left: -1.75rem;
}
```

